Package ru.bitel.bgbilling.modules.qiwi.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.qiwi.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `String`
  `getAdditionalKey()`
  `String`
  `getEndDate()`
  `Date`
  `getPaymentDate()`
  `String`
  `getRefundId()`
  Получение уникального идентификатора, который присваивается транзакции в момент, когда запускается процесс возврата.
  `void`
  `setAdditionalKey(String additionalKey)`
  `void`
  `setEndDate(String endDate)`
  `void`
  `setPaymentDate(Date paymentDate)`
  `void`
  `setRefundId(String refundId)`
  Установка уникального идентификатора, который присваивается транзакции в момент, когда запускается процесс возврата.

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getPaymentDate

    public Date getPaymentDate()

  - ### setPaymentDate

    public void setPaymentDate(Date paymentDate)

  - ### getEndDate

    public String getEndDate()

  - ### setEndDate

    public void setEndDate(String endDate)

  - ### getAdditionalKey

    public String getAdditionalKey()

  - ### setAdditionalKey

    public void setAdditionalKey(String additionalKey)

  - ### getRefundId

    public String getRefundId()
    Получение уникального идентификатора, который присваивается транзакции в момент, когда запускается процесс возврата.
    Returns:
      the refundId уникальный идентификатор

  - ### setRefundId

    public void setRefundId(String refundId)
    Установка уникального идентификатора, который присваивается транзакции в момент, когда запускается процесс возврата.
    Parameters:
      `refundId` - уникальный идентификатор

  - ### builder

    public static Transaction.Builder builder()